<?php
function m_admin($key=false,$a_id=false)
{
		$db = new DB();
		$id_pass = false;
		if($a_id===false or $a_id=='')
		{

			$a_id = m_get_session('m_admin');
			if($a_id=='')
			{
				$id_pass = false;
			}
			else
			{
				$id_pass = true;
			}
		}
		else
		{
			$id_pass = true;
		}
		if($id_pass)
		{
			$admins = $db->table('admins')->where('id','=',$a_id)->order('id','desc')->limit(1)->get();
			if($admins['total_count']>0)
			{
				$admin_data = $admins['data'][0];
				if($key)
				{
					if(isset($admin_data[$key]))
					{
						$return = $admin_data[$key];
					}
					else
					{
						$return = false;
					}
				}
				else
				{
					$return = $admin_data;
				}
			}
			else
			{
				$return = false;
			}
		}
		else
		{
			$return = false;
		}
		return $return;
}
function m_model_check($model){
    $klasor_yolu = ROOT_FOLDER.'/admin/model';
    $dosyalar = scandir($klasor_yolu);
    $klasorler = array_filter($dosyalar, function($dosya) use ($klasor_yolu) {
        return is_dir($klasor_yolu . '/' . $dosya) && $dosya != '.' && $dosya != '..';
    });
    if (in_array($model, $klasorler)) {
        return true;
    } else {
        return false;
    }
}
function m_admin_check()
{
	$db = new DB();
	$a_id = m_get_session('m_admin');
	if($a_id=='')
	{
		return false;
	}
	else
	{
		$admins = $db->table('admins')->where('id','=',$a_id)->order('id','desc')->limit(1)->get();
		if($admins['total_count']>0)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
}
function m_user($key=false,$u_id=false)
{
		$db = new DB();
		$id_pass = false;
		if($u_id===false or $u_id=='')
		{

			$u_id = m_get_session('user');
			if($u_id=='')
			{
				$id_pass = false;
			}
			else
			{
				$id_pass = true;
			}
		}
		else
		{
			$id_pass = true;
		}
		if($id_pass)
		{
			$users = $db->table('users')->where('id','=',$u_id)->order('id','desc')->limit(1)->get();
			if($users['total_count']>0)
			{
				$user_data = $users['data'][0];
				if($key)
				{
					if(isset($user_data[$key]))
					{
						$return = $user_data[$key];
					}
					else
					{
						$return = false;
					}
				}
				else
				{
					$return = $user_data;
				}
			}
			else
			{
				$return = false;
			}
		}
		else
		{
			$return = false;
		}
		return $return;
}
function m_user_check()
{
	$db = new DB();
	$u_id = m_get_session('user');
	if($u_id=='')
	{
		return false;
	}
	else
	{
		$users = $db->select('id')->table('users')->where('id','=',$u_id)->order('id','desc')->limit(1)->get();
		if($users['total_count']>0)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
}
function m_user_check_control()
{
	$db = new DB();
	$u_id = m_get_session('user');
	if($u_id!='')
	{
		$users = $db->select('id')->table('users')->where('id','=',$u_id)->order('id','desc')->limit(1)->get();
		if($users['total_count']>0)
		{
			$db->query("update users set last_login=now() where id='".m_user('id')."'");
		}
		else
		{
			m_delete_session('user');
		}
	}
}
?>